# generated by datamodel-codegen:
#   filename:  asset_block_upload_finalize_parameters_v1.json

from __future__ import annotations

from typing import List, Literal, Optional

from pydantic import AnyUrl, BaseModel, ConfigDict, Field


class UploadLink(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    uri: AnyUrl
    """
    Pre-signed URL using which upload is done.
    """


class FieldLinks(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    upload_links: List[UploadLink] = Field(..., min_length=1)
    """
    In the finalize request, the upload links must be provided, which is returned in initialize/extend request. The upload links which are not used should be removed from upload_links.
    """


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    field_links: FieldLinks = Field(..., alias='_links')
    asset_uri: Optional[AnyUrl] = None
    """
    If this attribute is not provided, new asset will be created. Applicable only while updating an existing asset. If provided, should match with the asset id provided in the initialize request.
    """
    content_md5: str
    """
    Base64-encoded 128-bit MD5 digest/hash as per RFC 1864. Add a md5 string property containing the base64-encoded MD5 hash of the complete Resource. The uploaded resource MD5 hash will be computed and completion request will fail with status code 400 if the two hash values are not identical.
    """
    content_type: str
    """
    Content type of the file uploaded on storage server.
    """
    name: Optional[str] = None
    """
    The name of the asset. Applicable only while creating a new asset.
    """
    on_dup_name: Optional[Literal['error', 'auto_rename']] = 'error'
    """
    How to handle a duplicate name - legal values are "error" and "auto_rename". Applicable only while creating a new asset. 
    """
    parent_uri: Optional[AnyUrl] = None
    """
    Applicable only while creating a new asset. Should be passed only when persistence is "permanent". Do not pass when persistence is "transient".
    """
    persistence: Optional[Literal['transient', 'permanent']] = None
    """
    Asset storage aspect as short-term transient vs. long-term permanent. "transient" creates an asset that will be available for several hours before being garbage collected and deleted. For operations that convert and download immediately, "transient" is the appropriate choice. If the choice is "permanent", then "parent_uri" must also be specified. 
    """
    size: float
    """
    Length of the content uploaded on storage server.
    """
    upload_info: str
    """
    Upload info returned in initialize call.
    """
