# generated by datamodel-codegen:
#   filename:  asset_block_upload_initialize_v1.json

from __future__ import annotations

from typing import List

from pydantic import AnyUrl, BaseModel, ConfigDict, Field


class ExtendLink(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    uri: AnyUrl
    """
    Url for doing Extend call for getting more pre-signed URLs.
    """


class FinalizeLink(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    uri: AnyUrl
    """
    Url for completing the upload.
    """


class UploadLink(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    uri: AnyUrl
    """
    Pre-signed URL for the uploading each block.
    """


class FieldLinks(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    extend_link: ExtendLink
    """
    URL object for doing Extend call for getting more pre-signed URLs.
    """
    finalize_link: FinalizeLink
    """
    URL object for completing the upload.
    """
    upload_links: List[UploadLink] = Field(..., min_length=1)
    """
    List of Pre-signed URLs for doing the upload for each block. The client applications should use these pre-signed URLs for doing the upload. In the finalize upload call, the client needs to return these URLs. The upload_urls which are not used by the client should be removed from the request body in the finalize call..
    """


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    field_links: FieldLinks = Field(..., alias='_links')
    block_size: float
    """
    Block size that the client is required to use in bytes.
    """
    expires: str
    """
    Expiry time of the upload in ISO 8601 format. After this time, all the pre-signed URLs corresponding to this upload will become invalid and the content of the uploaded blocks will be deleted.
    """
    upload_info: str
    """
    Encrypted upload info related to this specific upload will be returned in response which needs to be provided as input in extend and finalize calls for extending and finalizing this upload.
    """
