# generated by datamodel-codegen:
#   filename:  asset_upload_parameters_v1.json

from __future__ import annotations

from typing import Literal, Optional

from pydantic import AnyUrl, BaseModel, ConfigDict, constr


class Options(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    ignore_content_type: Optional[bool] = False
    """
    If True, ignore the Content-Type header of the file part and figure it out on the server. Useful for browsers which may incorrectly guess content types.  This is a convenient alternate method of requesting auto detect instead of passing application/octet-stream in the file part headers (which may be difficult to do in some browsers).
    """
    name: Optional[constr(min_length=1)] = None
    """
    The name for the asset.  The preferred way of specifying the filename, because the encoding can be specified as utf-8 for the options part to ensure that names that aren't strict ascii are properly handled.  If not present the name is taken from the filename in the Content-Disposition header of the file part.
    """
    on_dup_name: Optional[Literal['error', 'auto_rename']] = 'error'
    """
    How to handle a duplicate name.  This parameter is relevant only for permanent assets.
    """
    parent_uri: Optional[AnyUrl] = None
    """
    The uri of folder to put the asset in.  This parameter is relevant only for permanent assets.
    """
    persistence: Optional[Literal['transient', 'permanent']] = 'transient'
    """
    Asset storage aspect as short-term transient vs. long-term permanent. "transient" creates an asset that will be available for several hours before being garbage collected and deleted.  For operations that convert and download immediately, "transient" is the appropriate choice.  If the choice is "permanent", then "parent_uri" must also be specified
    """


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    options: Optional[Options] = None
    """
    Additional parameters for the upload operation.
    """
