# generated by datamodel-codegen:
#   filename:  folder_metadata_basic_v1.json

from __future__ import annotations

from typing import List, Optional

from pydantic import AnyUrl, AwareDatetime, BaseModel, ConfigDict


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    created: AwareDatetime
    """
    The creation date of the folder.
    """
    custom_tags: Optional[List[str]] = None
    """
    An array of custom tags for client application use.
    """
    favorite: Optional[bool] = None
    """
    True if the user has marked this folder a favorite.
    """
    folder_id: Optional[str] = None
    """
    The folder id (in URN form).  Use the "folder_uri" uri template in the "templates" section of the discovery info to transform to a folder uri.
    """
    modified: AwareDatetime
    """
    The modification date of the folder.
    """
    name: str
    """
    Name of the folder.
    """
    parent_id: Optional[str] = None
    """
    Folder id (in URN form) of the parent folder of this folder. If there is no parent (e.g. for a transient folder), this value is not present.
    """
    parent_uri: Optional[AnyUrl] = None
    """
    URI of the parent folder of this folder.  If there is no parent (e.g. for a transient folder), this value is not present.
    """
    source: Optional[str] = None
    """
    Where the folder resides.  Currently either "native" or "creative_cloud"
    """
    starred: Optional[bool] = None
    """
    True if the user has starred this folder.
    """
    tags: Optional[List[str]] = None
    """
    An array of tags.
    """
    uri: AnyUrl
    """
    URI representing the folder
    """
