# generated by scripts/generate.py

import re
from typing import Dict, TYPE_CHECKING

from .client import Client

if TYPE_CHECKING:
    from ..models import new_asset_job_v1


import uritemplate


class Jobs:

    def __init__(self, client: Client):
        self._client: Client = client

    def status(self, *, job_uri: str) -> "new_asset_job_v1.Model":
        from ..models import new_asset_job_v1

        url = uritemplate.partial(
            uri="{+job_uri}/status",
            var_dict={
                "job_uri": job_uri,
            },
        ).uri
        headers: Dict[str, str] = {}
        headers["Accept"] = 'application/vnd.adobe.dc+json; profile="https://dc-api.adobe.io/schemas/new_asset_job_v1.json"'
        resp = self._client.request(
            "GET",
            url,
            headers=headers,
        )

        content_type = resp.headers["Content-Type"]

        if re.search(r"schemas/new_asset_job_v1\.json", content_type):
            return new_asset_job_v1.Model.model_validate(resp.json())
        else:
            raise ValueError(f"Unexpected content type: {content_type}")
